"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getLanguage = function (lang) {
    switch (typeof lang) {
        case 'object':
            return lang;
        case 'string':
            switch (lang) {
                case 'en':
                    return require('@meta-explore/meta-editor/lib/lang/en');
                case 'da':
                    return require('@meta-explore/meta-editor/lib/lang/da');
                case 'de':
                    return require('@meta-explore/meta-editor/lib/lang/de');
                case 'es':
                    return require('@meta-explore/meta-editor/lib/lang/es');
                case 'fr':
                    return require('@meta-explore/meta-editor/lib/lang/fr');
                case 'ja':
                    return require('@meta-explore/meta-editor/lib/lang/ja');
                case 'ko':
                    return require('@meta-explore/meta-editor/lib/lang/ko');
                case 'pt_br':
                    return require('@meta-explore/meta-editor/lib/lang/pt_br');
                case 'ru':
                    return require('@meta-explore/meta-editor/lib/lang/ru');
                case 'zh_cn':
                    return require('@meta-explore/meta-editor/lib/lang/zh_cn');
                default:
                    return require('@meta-explore/meta-editor/lib/lang/en');
            }
        default:
    }
    return require('@meta-explore/meta-editor/lib/lang/en');
};
exports.default = getLanguage;
